Name:           equalx
Version:        0.6.0
Release:        2%{?dist}
Summary:        A graphical editor for writing LaTeX equations

License:        GPLv3+
URL:            http://equalx.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  exempi-devel
BuildRequires:  qt4-devel 
Requires:       tex(dvips)
Requires:       tex(latex)
Requires:       dvipdfm
Requires:       dvipng


%description
EqualX is an application that helps you write equations in LaTeX
and preview them in real-time.

%prep
%setup -q

# fix line endings
sed 's|\r||g' LICENSE >LICENSE.new
touch -r LICENSE LICENSE.new
mv LICENSE.new LICENSE


%build
qmake-qt4
make %{?_smp_mflags}


%install
install -D -p bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p resources/icons/%{name}/%{name}.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files
%doc LICENSE THANKS changelog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Martin Gieseking <martin.gieseking@uos.de> 0.6.0-1
- Updated to version 0.6.0.
- Dropped patches as they have been applied upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 18 2012 Martin Gieseking <martin.gieseking@uos.de> 0.5.1-2
- added patches to fix serious warnings
- preserve timestamps in %%install
- more descriptive summary

* Tue Jan 17 2012 Martin Gieseking <martin.gieseking@uos.de> 0.5.1-1
- initial package

